com.tibbo.aggregate.common.protocol

## Class AbstractClientController<T extends CallerData>

- java.lang.Object
- - com.tibbo.aggregate.common.protocol.AbstractClientController<T>

- Direct Known Subclasses:
    DefaultClientController

      public abstract class AbstractClientController<T extends CallerData>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractClientController(ContextManager contextManager)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMaskListener(java.lang.String context, java.lang.String name, ContextEventListener cel, boolean weak)`
    `CallerController` | `getCallerController()`
    `ContextManager` | `getContextManager()`
    `ContextEventListenerSet` | `getEventListeners(java.lang.String context, java.lang.String name)`
    `void` | `removeMaskListener(java.lang.String context, java.lang.String name, ContextEventListener cel)`
    `abstract boolean` | `run()`
    `void` | `setCallerController(CallerController callerController)`
    `void` | `setContextManager(ContextManager contextManager)`
    `void` | `shutdown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractClientController

          public AbstractClientController(ContextManager contextManager)

  - ### Method Detail

    - #### getCallerController

          public CallerController getCallerController()

    - #### setCallerController

          public void setCallerController(CallerController callerController)

    - #### addMaskListener

          public void addMaskListener(java.lang.String context,
                                      java.lang.String name,
                                      ContextEventListener cel,
                                      boolean weak)

    - #### removeMaskListener

          public void removeMaskListener(java.lang.String context,
                                         java.lang.String name,
                                         ContextEventListener cel)

    - #### getContextManager

          public ContextManager getContextManager()

    - #### setContextManager

          public void setContextManager(ContextManager contextManager)

    - #### shutdown

          public void shutdown()

    - #### getEventListeners

          public ContextEventListenerSet getEventListeners(java.lang.String context,
                                                           java.lang.String name)

    - #### run

          public abstract boolean run()